.products-menu-btn {
  position: relative;
}

.products-menu-btn:before {
  pointer-events: none;
  opacity: 0;
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 25px;
  height: 25px;
  min-width: 25px;
  min-height: 25px;
  max-width: 25px;
  max-height: 25px;
  background-color: #ff715a;
  z-index: 1031;
  transition: 0.1s all ease-out;
  transform: translate(-50%, -50%) rotate(45deg);
}

.category-list-item[data-category="kwiaty-pojedyncze"],
.category-list-item[data-category="kwiaty-galazkowe"],
.category-list-item[data-category="kwiaty-wyrobowe"],
.category-list-item[data-category="bukiety"] {
  position: relative;
}

.category-list-item[data-category="kwiaty-pojedyncze"]:after,
.category-list-item[data-category="kwiaty-galazkowe"]:after,
.category-list-item[data-category="kwiaty-wyrobowe"]:after,
.category-list-item[data-category="bukiety"]:after {
  content: url("../assets/angle-right-black.svg");
  position: absolute;
  right: 2px;
  top: calc(50% - 2px);
  transform: translateY(-50%);
  pointer-events: none;
}

.category-list-item[data-category="kwiaty-pojedyncze"]:before,
.category-list-item[data-category="kwiaty-galazkowe"]:before,
.category-list-item[data-category="kwiaty-wyrobowe"]:before,
.category-list-item[data-category="bukiety"]:before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  right: -5px;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  background-color: #ff715a;
  opacity: 0;
  pointer-events: none;
}

.category-list-item[data-category="kwiaty-pojedyncze"]:hover:after,
.category-list-item[data-category="kwiaty-galazkowe"]:hover:after,
.category-list-item[data-category="kwiaty-wyrobowe"]:hover:after,
.category-list-item[data-category="bukiety"]:hover:after {
  content: url("../assets/angle-right-white.svg");
}

.category-list-item[data-category="kwiaty-pojedyncze"]:hover:before,
.category-list-item[data-category="kwiaty-galazkowe"]:hover:before,
.category-list-item[data-category="kwiaty-wyrobowe"]:hover:before,
.category-list-item[data-category="bukiety"]:hover:before {
  opacity: 1;
}

.flo-dropbar-primary .category-list-item {
  font-size: 16px;
  font-weight: 600;
  margin-right: 20px;
}
.flo-dropbar-primary .category-list-item a {
  display: block;
  border-radius: 5px;
  padding: 12px 0 12px 18px;
}
.flo-dropbar-primary .category-list-item a:hover {
  background-color: #ff715a;
  color: #fff;
  text-decoration: none;
}

.flo-dropbar-primary .category-list-item:not(:last-of-type),
.flo-products-nested a:not(:last-of-type) {
  margin-bottom: 5px;
}

.products-menu-btn[aria-expanded="true"]:before {
  opacity: 1;
  top: 100%;
}

.flo-products-nested {
  position: absolute;
  top: 0;
  left: calc(100% + 1px);
  width: 100%;
  height: 100%;
  margin: 0;
  opacity: 0;
  height: 100%;
  width: 70vw;
  background-color: #fff;
}

.flo-products-nested.show-me {
  opacity: 1;
}

.flo-dropbar-primary {
  padding-right: 0;
  padding-left: 0;
  width: 30vw;
  border-right: 1px solid #e9e9e9;
  border-top: 1px solid #f3f3f3af;
}

.flo-submenus {
  padding: 0;
  height: 0;
}

.flo-dropbar-primary,
.flo-products-nested {
  padding-block: 50px;
}

.left-overlay {
  content: "";
  position: absolute;
  right: 100%;
  top: 0;
  width: 15vw;
  height: 100%;
  background-color: #fff;
  pointer-events: none;
}

@media (min-width: 1440px) {
  .products-menu-btn:before {
    width: 45px;
    height: 45px;
    min-width: 45px;
    min-height: 45px;
    max-width: 45px;
    max-height: 45px;
  }

  .flo-dropbar-primary .category-list-item,
  .flo-products-nested a {
    font-size: 18px;
  }

  .flo-dropbar-primary {
    width: 25vw;
  }

  .flo-dropbar-primary,
  .flo-products-nested {
    padding-block: 60px;
  }
}

@media (min-width: 1600px) {
  .flo-dropbar-primary .category-list-item,
  .flo-products-nested a {
    font-size: 21px;
  }

  .flo-dropbar-primary,
  .flo-products-nested {
    padding-block: 90px;
  }

  .flo-products-nested {
    /* width: ; */
  }
}
